Bug 119959 - (IDE SIS BADHD ?)system hangs when using hdparm -t /dev/hda (udma5)
(IDE SIS BADHD ?)system hangs when using hdparm -t /dev/hda (udma5)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-04 01:12 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:16:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-04-04 01:12:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
When i try to test the harddisk with hdparm  the system hangs and i
must press the reset button.
#lspci:
00:00.0 Host bridge: Silicon Integrated Systems [SiS] SiS645 Host &
Memory & AGP Controller (rev 02)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual
PCI-to-PCI bridge (AGP)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS85C503/5513
(LPC Bridge) (rev 04)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller (rev 0f)
00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller (rev 0f)
00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0
Controller
00:07.0 Ethernet controller: 3Com Corporation 3c900B-TPO [Etherlink XL
TPO] (rev 04)
00:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1
(rev 0a)
00:0a.1 Input device controller: Creative Labs SB Live! MIDI/Game Port
(rev 0a)
01:00.0 VGA compatible controller: nVidia Corporation NV28 [GeForce4
Ti 4200 AGP 8x] (rev a1)
#/hdparm -I /dev/hda/dev/hda:
 
ATA device, with non-removable media
        Model Number:       ST3120022A
        Serial Number:      5JT017EW
        Firmware Revision:  3.06
Standards:
        Used: ATA/ATAPI-6 T13 1410D revision 2
        Supported: 6 5 4 3
Configuration:
        Logical         max     current
        cylinders       16383   64761
        heads           16      1
        sectors/track   63      255
        --
        CHS current addressable sectors:   16514055
        LBA    user addressable sectors:  234441648
        LBA48  user addressable sectors:  234441648
        device size with M = 1024*1024:      114473 MBytes
        device size with M = 1000*1000:      120034 MBytes (120 GB)
Capabilities:
        LBA, IORDY(can be disabled)
        bytes avail on r/w long: 4      Queue depth: 1
        Standby timer values: spec'd by Standard
        R/W multiple sector transfer: Max = 16  Current = 16
        Recommended acoustic management value: 128, current value: 0
        DMA: mdma0 mdma1 mdma2 udma0 udma1 udma2 udma3 udma4 *udma5
             Cycle time: min=120ns recommended=120ns
        PIO: pio0 pio1 pio2 pio3 pio4
             Cycle time: no flow control=240ns  IORDY flow control=120ns
Commands/features:
        Enabled Supported:
           *    READ BUFFER cmd
           *    WRITE BUFFER cmd
           *    Host Protected Area feature set
           *    Look-ahead
           *    Write cache
           *    Power Management feature set
                Security Mode feature set
           *    SMART feature set
           *    FLUSH CACHE EXT command
           *    Mandatory FLUSH CACHE command
           *    Device Configuration Overlay feature set
           *    48-bit Address feature set
                SET MAX security extension
           *    DOWNLOAD MICROCODE cmd
           *    SMART self-test
           *    SMART error logging
Security:
                supported
        not     enabled
        not     locked
                frozen
        not     expired: security count
        not     supported: enhanced erase
HW reset results:
        CBLID- above Vih
        Device num = 0 determined by the jumper
Checksum: correct




Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2174.nptl

How reproducible:
Always

Steps to Reproduce:
1. open terminal
2. type su -l
3. rootpassowrd
4. hdparm -t /dev/hda

Actual Results:  crash (dma time out?)

Expected Results:  no crash; it should test the hd perfomance

Additional info:
Comment 1 Need Real Name 2004-04-06 01:19:03 EDT
no i get this error message:
/sbin/hdparm -t /dev/hda
 
/dev/hda:
 Timing buffered disk reads:  read(2097152) returned 458752 bytes
Comment 2 Alan Cox 2004-05-03 09:52:46 EDT
What does "dmesg" show at this point ?
Comment 3 David Lawrence 2004-09-29 16:16:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.